package com.philisense.www.service;


import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface AreaService extends BaseCRUDService{
    public List<Map<String, Object>> getAreaTreeByParentid(Map<String, Object> map);

    public List<Map<String, Object>> getAreaTreeByLevelCode(Map<String, Object> map);

    public int updateDropNode(Map<String, Object> map);

    void updateBatchLevelCode(Map<String, Object> map);
}